from random import shuffle  # importation de la fonction mélange

#--------------- fonction de vérification de  l'ordre d'une liste ----------------------
def verification_tri(L):
    """ Fonction renvoyant VRAI si la liste L est rangée
    cette fonction compare un Ã  un les élément de la liste avec celui qui le précÃ¨de """
    triee=True              # on suppose la liste L initiale triée
    precedent=0             # precedent initialisé à  0
    for n in L:             # pour tour les éléments de la liste L
        if n<precedent:     # si un élément est inférieur Ã  celui qui le précède
            triee=False     # triee devient FAUX
        precedent=n         # l'élément devient le précédent avant d'examiner le suivant
    return triee            # la fonction renvoie VRAI ou FAUX suivant les cas

#---------------- tri d'une liste--------------------------------------------------------
Liste=[liste de 6 entiers séparés par des virgules]        # liste initiale
rangee=False                # la liste n'est pas rangée
compteur=0                  # compteur du nombre de mélanges effectués
while not rangee:           # tant que la liste n'est pas rangée
     shuffle(Liste)         # mélange de la liste
     rangee=verification_tri(Liste) # vérification de l'ordre des éléments de Liste
     compteur=compteur+1    # on augmente  le nombre de mélanges effectués de 1
print('liste :',Liste,'triée après : ',compteur,' mélanges')  # affichage du résultat




